Guard Dimitri:
It's a ranch on a pasture in the north of the village. You'll find such vicious creatures as kukaburros, cougars and Buffalos there. I've heard that it was established as some sort of military program. Therefore, it was supported by the country.
Raising wild animals is not as easy as it may seem. In the end, the military gave up on the project. Once they withdrew their funding, the farm was abandoned by all but a few die-hards, who can't seem to give up the business of raising wild beasts. It's also said that sometimes young adventurers like yourself go hunting there...
Return